Widget Scaling

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Widget Scaling

Different widgets can be scaled independently. More...

## Functions
double | elm_config_scale_get (void)
| Get the global scaling factor. More...
void | elm_config_scale_set (double scale)
| Set the global scaling factor. More...
void | elm_object_scale_set (Evas_Object *obj, double scale)
| Set the scaling factor for a given Elementary object. More...
double | elm_object_scale_get (const Evas_Object *obj)
| Get the scaling factor for a given Elementary object. More...

## Detailed Description

Different widgets can be scaled independently.

These functions allow you to manipulate this scaling on a per-widget basis. The object and all its children get their scaling factors multiplied by the scale factor set. This is multiplicative, in that if a child also has a scale size set it is in turn multiplied by its parent's scale size. `1.0` means “don't scale”, `2.0` is double size, `0.5` is half, etc.

This example contemplates some of these functions.

## Function Documentation

double elm_config_scale_get | ( | void |  | ) |

Get the global scaling factor.

This gets the globally configured scaling factor that is applied to all objects.

Returns
  The scaling factor

Referenced by elm_progressbar_add(), elm_toolbar_add(), and elm_win_render().

void elm_config_scale_set | ( | double | scale | ) |

Set the global scaling factor.

This sets the globally configured scaling factor that is applied to all objects.

Parameters

  scale | The scaling factor to set

double elm_object_scale_get | ( | const Evas_Object * | obj | ) |

Get the scaling factor for a given Elementary object.

Parameters

  obj | The object

Returns
  The scaling factor set by elm_object_scale_set()

Referenced by elm_panel_add().

void elm_object_scale_set | ( | Evas_Object * | obj,
|  | double | scale
| ) |  |

Set the scaling factor for a given Elementary object.

Parameters

  obj | The Elementary to operate on
  scale | Scale factor (from `0.0` up, with `1.0` meaning no scaling)